unit PrintPreview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, GAPrintPreview, Buttons, ExtCtrls, Spin, StdCtrls;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    GAPrintPreview1: TGAPrintPreview;
    PrintDialog1: TPrintDialog;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    SpeedButton2: TSpeedButton;
    procedure GAPrintPreview1PaperOnClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  const
  crZoomIn = 31;
  crZoomOut = 32;
implementation
{$R GAlexCursor.res}
{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
begin
 Screen.Cursors[crZoomOut]:=LoadCursor (hInstance , 'CURSOR_ZOOMOUT');
 Screen.Cursors[crZoomIn]:=LoadCursor (hInstance , 'CURSOR_ZOOMIN');
end;

procedure TForm2.FormPaint(Sender: TObject);
begin
   if GAPrintPreview1.ScaleToFit = false then
    begin
    GAPrintPreview1.PaperCursor:= crZoomOut;
    GAPrintPreview1.Repaint;
    end
    else
    begin
    GAPrintPreview1.PaperCursor:= crZoomIn;
    end;
end;

procedure TForm2.FormResize(Sender: TObject);
begin
 GAPrintPreview1.ForcedUpdate;
end;

procedure TForm2.GAPrintPreview1PaperOnClick(Sender: TObject);
begin
  if GAPrintPreview1.ScaleToFit = false then
    begin
    GAPrintPreview1.HorzScrollBar.Position:=0;
    GAPrintPreview1.VertScrollBar.Position:=0;
    GAPrintPreview1.ScaleToFit := true;
    GAPrintPreview1.PaperCursor:= crZoomIn;
    GAPrintPreview1.Repaint;
    end
    else
    begin
    GAPrintPreview1.HorzScrollBar.Position:=0;
    GAPrintPreview1.VertScrollBar.Position:=0;
    GAPrintPreview1.ScaleToFit := false;
    GAPrintPreview1.PaperCursor:= crZoomOut;

    end;
end;

procedure TForm2.SpeedButton1Click(Sender: TObject);
begin
if Edit1.Text<>'' then
  begin
 GAPrintPreview1.PrinterTitle:=Edit1.Text;
 GAPrintPreview1.PrinterCopies:=SpinEdit1.Value;
 GAPrintPreview1.PrintBitmap;
  end
  else
  begin
    MessageDlg( 'You have not entered (Print Title:)', mtWarning, [ mbOK ], 0 );
  end;
end;

procedure TForm2.SpeedButton2Click(Sender: TObject);
begin
 if Edit1.Text<>'' then
  begin
  if PrintDialog1.Execute then
  begin
 GAPrintPreview1.PrinterTitle:=Edit1.Text;
 GAPrintPreview1.PrinterCopies:=PrintDialog1.Copies;
 GAPrintPreview1.PrintBitmap;
  end;
  end
  else
  begin
    MessageDlg( 'You have not entered (Print Title:)', mtWarning, [ mbOK ], 0 );
  end;
end;

end.
